QGIS Application - Bug report #13114
r.series broken on Processing
2015-07-14 06:19 AM - Paolo Cavallini

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:2.10.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21179
Description

Confirmed both on 2.10 (debian sid) and 2.8.2 (windows), with latest experimental version of Processing (2.10.1):

Awvio dell'algoritmo r.series - Makes each output cell value a function of the values assigned to the corresponding cells in the input raster
layers....

r.external -r
input="/tmp/processing/a06b812a38094eea8f21468a15731962/TARGETOUTGRID.sdat,/tmp/processing/a06b812a38094eea8f21468a

57319

15731962/TARGETOUTGRID.sdat,/home/paolo/Documents/Didattica/Corsi_Formazione_Faunalia/QGIS/QGIS_data/processing/john_smow/osr

now/osmgrey.tif" band=1 output=tmp1436876735733 --overwrite -0

g.-proj -c proj4="+proj=tmerc +lat_0=49 +lon_0=-2 +k=0.9996012717 +x_0=400000 +y_0=-100000 +ellps=airy
+towgs84=446.448,-125.157,542.06,0.15,0.247,0.842,-20.489 +units=m +no_defs"

g.region n=181519.5 s=180465.5 €=529934.5 w=528764.5 res=100

r.series input=tmp1436876735733 method=average range="-10000000000,10000000000"
output=output898a73c15aff492dbc1288b429ae7eb1 --overwrite

g.region rast=output898a73c15aff492dbc1288b429ae7eb1

r.out.gdal -c createopt="TFW=YES,COMPRESS=LZW" input=output898a73c15aff492dbc1288b429ae7eb1
output="/tmp/processing/aba5cd536b3949ff8566¢c191ba16f24d/output.tif"

GRASS commands output:

Cleaning up temporary files ...

Starting GRASS ...

Executing '/home/paolo/Scrivania/butta/2_10_test/processing/grass_batch_job.sh' ...

Welcome to GRASS 6.4.4 (2014)

ERROR 4:
“/tmp/processing/a06b812a38094eea8f21468a15731962/TARGETOUTGRID.sdat,/tmp/processing/a06b812a38094eea8f21468a15731
962/TARGETOUTGRID.sdat,/home/paolo/Documents/Didattica/Corsi_Formazione_Faunalia/QGIS/QGIS_data/processing/john_snow/os
smgrey.tif' does not exist in the file system,

and is not recognised as a supported dataset name.

GRASS_INFO_MESSAGE(13036,1): Default region was updated to the new projection, but if you have multiple mapsets "g.region -d’
should be run in each to update the region from the default

GRASS_INFO_END(13036,1)

GRASS_INFO_MESSAGE(13036,2): Informazioni sulla proiezione aggiornate
GRASS_INFO_END(13036,2)

GRASS_INFO_ERROR(13038,1): Mappa raster non trovata
GRASS_INFO_END(13038,1)

GRASS_INFO_ERROR(13039,1): Mappa raster non trovata
GRASS_INFO_END(13039,1)
GRASS_INFO_ERROR(13040,1): Mappa raster o gruppo non trovato
GRASS_INFO_END(13040,1)

Closing monitors ...

Cleaning up temporary files ...

Batch job '/home/paolo/Scrivania/butta/2_10_test/processing/grass_batch_job.sh' (defined in GRASS_BATCH_JOB variable) was
executed.

Goodbye from GRASS GIS

Cleaning up temporary files ...

Starting GRASS ...

Executing '/home/paolo/Scrivania/butta/2_10_test/processing/grass_batch_job.sh' ...
Welcome to GRASS 6.4.4 (2014)

GRASS_INFO_ERROR(13095,1): Mappa raster non trovata
GRASS_INFO_END(13095,1)

GRASS_INFO_ERROR(13096,1): Mappa raster o gruppo non trovato

GRASS_INFO_END(13096,1)

Closing monitors ...

Cleaning up temporary files ...

Batch job '/home/paolo/Scrivania/butta/2_10_test/processing/grass_batch_job.sh' (defined in GRASS_BATCH_JOB variable) was
executed.

Goodbye from GRASS GIS

Converting outputs

Caricamento layer

Associated revisions

Revision 216e4612 - 2015-09-24 01:10 PM - Victor Olaya

[processing] correctly build multiple input value string

It was wrongly using comma instead of semicolon to separate values

Fixes #13114

History

#1 - 2015-07-31 07:58 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

Note also that since Processing 2.10.1 GRASS7 stopped to work completely (both Linux and Windows), but for that there should be already a ticket.

#2 - 2015-09-24 04:12 AM - Victor Olaya
- Status changed from Open to Closed

Fixed in changeset commit:"216e461246df0b0711a8eb992acb88db870fdfd1".
